### Method

# FwupdPlugin Device add_guid_full

since: 1.6.2

#### Declaration [src]

    void
    fu_device_add_guid_full (
      FuDevice* self,
      const gchar* guid,
      FuDeviceInstanceFlags flags
    )

#### Description [src]

Adds a GUID to the device. If the `guid` argument is not a valid GUID then it is converted to a GUID using fwupd_guid_hash_string().

Available since: 1.6.2

#### Parameters

`guid`

  Type: `const gchar*`

  A GUID, e.g. `2082b5e0-7a64-478a-b1b2-e3404fab6dad`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `FuDeviceInstanceFlags`

  Instance ID flags.